Bug 59200 - microcode_ctl not functioning
microcode_ctl not functioning
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2002-02-01 19:06 EST by Reuben Farrelly
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-25 23:21:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Reuben Farrelly 2002-02-01 19:06:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
Microcode update file is not included in this RPM which causes an error to 
occur when the update is attempted

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install kernel-utils-2.4-3.4
2. /etc/rc.d/init.d/microcode_ctl

Actual Results:  Initially all that came up was that the script had "FAILED" 
however upon removing -Q from the options in the init.d script I got this:

[root@tornado rawhide]# /etc/rc.d/init.d/microcode_ctl    
Applying Intel IA32 Microcode update... /sbin/microcode_ctl: cannot open source 
file '/etc/firmware/microcode.dat' errno=2 (No such file or directory)
[root@tornado rawhide]# 
[root@tornado rawhide]# rpm -V kernel-utils
S.5....T   /etc/rc.d/init.d/microcode_ctl
[root@tornado rawhide]# 

Expected Results:  The program updated the microcode, or at least failed with a 
meaningful error message

Additional info:

Suggest removing -Q as one of the parameters this command is run against?

Obviously the Microcode dat file is not included either - is it in another RPM 
(create a dependency) or was it omitted by mistake?
Comment 1 Arjan van de Ven 2002-02-02 04:07:10 EST
The microcode file is not freely distributable unfortionatly.
I'll have a look at making it fail more gracefully
Comment 2 Reuben Farrelly 2002-02-02 04:14:19 EST
Is it possible to have a message appear if the microcode.dat file is not found, 

Use of this utility also requires the microcode.dat file which you can
download at http://www.urbanmyth.org/microcode/
This file needs to be located in the /etc/firmware/ directory.
Comment 3 Arjan van de Ven 2002-02-02 05:33:35 EST
Looks good. I much rather point to a www.intel.com url though ;(

Note You need to log in before you can comment on or make changes to this bug.